# iports
Upstream: https://forge.ilot.io/ilot/iports

## Description

This repository contains aports that are not yet merged in the official Alpine
Linux repository or don’t adhere to Alpine polices. Packages are automatically
built using CI. Once built, they are deployed to a Forgejo-backed Alpine
repository.

Branches are matched to Alpine latest released.

## Repositories

You can browse all the repositories at https://forge.ilot.io/ilot/iports/packages
Affixed to each repository description is the appropriate link for use in
`/etc/apk/repositories`.

#### Backports
```
https://forge.ilot.io/api/packages/ilot/alpine/v3.20/backports
```

Aports from the official Alpine repositories backported from edge.

#### Ilot
```
https://forge.ilot.io/api/packages/ilot/alpine/v3.20/backports
```

Aports that have yet to be (or may never be) upstreamed to the official
aports and that are used by ilot coop.


## How to use
Add security key of the apk repository to your /etc/apk/keys:

```shell
cd /etc/apk/keys
curl -JO https://forge.ilot.io/api/packages/ilot/alpine/key
```
Add repositories that you want to use (see above) to `/etc/apk/repositories`.

## Support
Generally, only the latest branch is kept up-to-date. That said, if an aport
is broken on the latest release due to a dependency incompatibility, it will be
kept up-to-date on the release it last works on.

As these aports are built for my own application, I make no guarantees that
they will work for you.

## Contribution & bug reports
If you wish to contribute to this aports collection, or wish to report a bug,
you can do so on Forge here:
https://forge.ilot.io/ilot/iports/issues

For packages that are in backports, bug reports and merge requests
should be done on Alpine's aports repo instance:
https://gitlab.alpinelinux.org/alpine/aports

## License
This readme, abuilds and support scripts are licensed under MIT License.
